List orders
curl --request GET \
--url https://vitarelay.com/api/public/v1/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://vitarelay.com/api/public/v1/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vitarelay.com/api/public/v1/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "c4d5e6f7-8a9b-0c1d-2e3f-4a5b6c7d8e9f",
"order_number": "VR-88901",
"order_type": "clinic",
"status": "shipped",
"payment_status": "paid",
"script_status": "signed",
"subtotal_cents": 12900,
"shipping_cents": 0,
"tax_cents": 0,
"discount_cents": 0,
"total_cents": 12900,
"currency": "USD",
"environment": "production",
"tracking_number": "794657123456",
"tracking_carrier": "FEDEX",
"tracking_url": "https://www.fedex.com/fedextrack/?trknbr=794657123456",
"tracking_status": "in_transit",
"estimated_delivery_date": "2026-08-15",
"shipped_at": "2026-08-13T16:20:00Z",
"delivered_at": null,
"paid_at": "2026-08-12T14:12:00Z",
"patient_id": "3f0b1c2a-8f4e-4a9b-9c1d-2e5f7a8b9c0d",
"created_at": "2026-08-12T14:12:00Z",
"updated_at": "2026-08-13T16:20:00Z"
}
],
"next_cursor": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "validation_failed",
"message": "One or more fields are invalid"
}
}{
"error": {
"code": "validation_failed",
"message": "One or more fields are invalid"
}
}{
"error": {
"code": "validation_failed",
"message": "One or more fields are invalid"
}
}Orders
List orders
GET
/
orders
List orders
Authorizations
API key issued by VitaRelay. Send as Authorization: Bearer vr_live_…
(production) or Authorization: Bearer vr_test_… (sandbox).
Query Parameters
Page size. Default 50, maximum 100.
Required range:
1 <= x <= 100The next_cursor value returned by the previous page.
Filter by order status.

